package net.pingex.discordbot;

import sx.blah.discord.api.EventSubscriber;
import sx.blah.discord.api.IDiscordClient;
import sx.blah.discord.handle.impl.events.ReadyEvent;

/**
 * Very first Discord module, written for testing purposes
 * @version 0.1-dev
 * @author Raphael "Pingex" NAAS
 */
public class HelloWorldModule extends AbstractModule
{
	/**
	 * Constructor doing all the basic stuff, like registering as a Listener to Discord, getting a logger, etc.
	 * @param client Discord Client instance used to register self.
	 */
	public HelloWorldModule(IDiscordClient client)
	{
		super(client);
	}

	@EventSubscriber
	public void onReadyEvent(ReadyEvent event)
	{
		logger.info("READY");
	}
}
