package net.pingex.discordbot;

/**
 * Exception thrown when trying to load a module which isn't one.
 * @version 0.1-dev
 * @author Raphael "Pingex" NAAS
 */
public class InvalidModuleException extends Exception
{
	public InvalidModuleException(String message)
	{
		super(message);
	}

	protected InvalidModuleException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)
	{
		super(message, cause, enableSuppression, writableStackTrace);
	}

	public InvalidModuleException(Throwable cause)
	{
		super(cause);
	}

	public InvalidModuleException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public InvalidModuleException()
	{
		super();
	}
}
